Bug 667879 - Review Request: perl-Getopt-Usaginator - Conjure up a usage function for your applications
Summary: Review Request: perl-Getopt-Usaginator - Conjure up a usage function for your...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Getopt-Us...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-07 04:21 UTC by Iain Arnell
Modified: 2013-09-04 18:09 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-09 07:30:47 UTC
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-01-07 04:21:19 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Getopt-Usaginator.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Getopt-Usaginator-0.0012-1.fc15.src.rpm

Description:
Getopt::Usaginator is a tool for creating a handy usage subroutine for
commandline applications. It does not do any option parsing, but is best paired
with Getopt::Long or any of the other myriad of option parsers.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2706378

*rt-0.10_01

Comment 1 Marcela Mašláňová 2011-01-07 12:49:12 UTC
- rpmlint OK
 W: spelling-error %description -l en_US commandline -> command line, command-line, commanding
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides ~/Downloads/perl-Getopt-Usaginator-0.0012-1.fc15.noarch.rpm 
perl(Getopt::Usaginator) = 0.0012
perl-Getopt-Usaginator = 0.0012-1.fc15
rpm -qp --requires ~/Downloads/perl-Getopt-Usaginator-0.0012-1.fc15.noarch.rpm 
perl(:MODULE_COMPAT_5.12.2)  
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(VersionedDependencies) <= 3.0.3-1
perl(Package::Pkg)  
perl(strict)  
perl(warnings)  
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1

ACCEPT

Comment 2 Iain Arnell 2011-01-08 10:37:49 UTC
New Package SCM Request
=======================
Package Name: perl-Getopt-Usaginator
Short Description: Conjure up a usage function for your applications
Owners: iarnell
Branches: f13 f14
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-01-08 18:28:55 UTC
Git done (by process-git-requests).

Comment 4 Iain Arnell 2011-01-09 07:30:47 UTC
Thanks for the review! :-)

Comment 5 Fedora Update System 2011-01-15 08:14:03 UTC
perl-Getopt-Usaginator-0.0012-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Getopt-Usaginator-0.0012-1.fc14

Comment 6 Fedora Update System 2011-01-15 08:14:10 UTC
perl-Getopt-Usaginator-0.0012-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Getopt-Usaginator-0.0012-1.fc13

Comment 7 Fedora Update System 2011-01-23 20:26:12 UTC
perl-Getopt-Usaginator-0.0012-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-23 20:27:03 UTC
perl-Getopt-Usaginator-0.0012-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.